# Calendar

```http
GET https://api.synup.com/api/v4/social-post-ideas/calendar
```

Returns the content calendar for a brand (social profile) — each day with its scheduled/suggested post ideas.

Source: https://developer.synup.com/api/social-post-ideas/calendar

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `socialProfileId` | string | required | Social profile ID. |

## Header parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Synup-Version` | string | required | API version date (YYYY-MM-DD). |

## Example request

```bash
curl -X GET 'https://api.synup.com/api/v4/social-post-ideas/calendar' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Successful response |
| `401` | Unauthorized - Invalid or missing API key |
